> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangopay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a Card

### Path parameters

<ParamField path="CardId" type="string" required>
  The unique identifier of the Card object, which is returned after updating the Card Registration object with the `RegistrationData`.
</ParamField>

### Responses

<AccordionGroup>
  <Accordion title="200" defaultOpen>
    <ResponseField name="ExpirationDate" type="string">
      Format: “MMYY”

      The expiration date of the card.
    </ResponseField>

    <ResponseField name="Alias" type="string">
      The card number, partially obfuscated.
    </ResponseField>

    <ResponseField name="CardProvider" type="string">
      **Allowed values:** `CB`, `VISA`, `MASTERCARD`, `AMEX`, `MAESTRO`, `BCMC`, `JCB`, `DISCOVER`

      The provider of the card.
    </ResponseField>

    <ResponseField name="Country" type="string">
      Format: ISO-3166-1 alpha-3 three-letter country code (e.g., “FRA”)

      The country of the card (which is the same as the country of the issuer).
    </ResponseField>

    <ResponseField name="Product" type="string">
      The product type of the card.
    </ResponseField>

    <ResponseField name="BankCode" type="string">
      The name of the card issuing bank.
    </ResponseField>

    <ResponseField name="Validity" type="string">
      **Returned values:** `UNKNOWN`, `VALID`, `INVALID`

      Whether the card is valid or not.

      * `UNKNOWN` – No payment or card validation has been processed, so the validity of the card remains unknown.
      * `VALID` – The first payment or card validation using the card was processed successfully within 24 hours of the initial card registration.
      * `INVALID` – The first payment or card validation using the card was attempted and failed, or the status of the corresponding card registration was `CREATED` for more than 24 hours.\
        Once a card is set to `INVALID`, it cannot be set back to `VALID`. A new card registration will be necessary to make a payment.
    </ResponseField>

    <ResponseField name="UserId" type="string">
      The unique identifier of the user the card belongs to.
    </ResponseField>

    <ResponseField name="Id" type="string">
      The unique identifier of the Card object.
    </ResponseField>

    <ResponseField name="Tag" type="string">
      Custom data added to this object.\
      In the case of the Card object, the tag value is inherited from the Card Registration object and is not editable.
    </ResponseField>

    <ResponseField name="CreationDate" type="Unix timestamp">
      The date and time at which the object was created.
    </ResponseField>

    <ResponseField name="Fingerprint" type="string">
      The unique representation of the card number. This string can be used to track the card behavior while keeping the card information confidential.
    </ResponseField>

    <CardHolderNameResposne />
  </Accordion>
</AccordionGroup>

<ResponseExample>
  ```json 200   theme={null}
  {
      "ExpirationDate": "1229",
      "Alias": "497010XXXXXX8183",
      "CardType": "CB_VISA_MASTERCARD",
      "CardProvider": "VISA",
      "Country": "FRA",
      "Product": "I",
      "BankCode": "unknown",
      "Active": true,
      "Currency": "EUR",
      "Validity": "UNKNOWN",
      "UserId": "user_m_01HWWPNMR93ASQYJEH6XVDW44T",
      "Id": "card_m_01HXVD91R8QEDY7MYC8TX9R9M8",
      "Tag": null,
      "CreationDate": 1715685590,
      "Fingerprint": "48d63bbcfc2c47fcbc19df35e47b2f8d",
      "CardHolderName": "Alex Smith"
  }
  ```
</ResponseExample>

<RequestExample>
  ```php PHP theme={null}
  <?php 

  require_once 'vendor/autoload.php';

  use MangoPay\MangoPayApi;
  use MangoPay\Libraries\ResponseException as MGPResponseException;
  use MangoPay\Libraries\Exception as MGPException;

  $api = new MangoPayApi();

  $api->Config->ClientId = 'your-client-id';
  $api->Config->ClientPassword = 'your-api-key';
  $api->Config->TemporaryFolder = 'tmp/';

  try {
      $cardId = '193935874';

      $response = $api->Cards->Get($cardId);

      print_r($response);
  } catch(MGPResponseException $e) {
      print_r($e);
  } catch(MGPException $e) {
      print_r($e);
  }  
  ```

  ```javascript NodeJS   theme={null}
  const mangopayInstance = require('mangopay4-nodejs-sdk')
  const mangopay = new mangopayInstance({
      clientId: 'your-client-id',
      clientApiKey: 'your-api-key',
  })

  let myCard = {
    Id: '192775715',
  }

  const viewCard = async (cardId) => {
    return await mangopay.Cards.get(cardId)
      .then((response) => {
        console.info(response)
        return response
      })
      .catch((err) => {
        console.log(err)
        return false
      })
  }

  viewCard(myCard.Id)  
  ```

  ```ruby Ruby   theme={null}
  require 'mangopay'

  MangoPay.configure do |client|
      client.preproduction = true
      client.client_id = 'your-client-id'
      client.client_apiKey = 'your-api-key'
      client.log_file = File.join(Dir.pwd, 'mangopay.log')
  end

  def viewCard(cardId)
      begin
          response = MangoPay::Card.fetch(cardId)
          puts response
          return response
      rescue MangoPay::ResponseError => error
          puts "Failed to fetch card: #{error.message}"
          puts "Error details: #{error.details}"
          return false
      end
  end

  myCard = {
      Id: '194579926'
  }

  viewCard(myCard[:Id])  
  ```

  ```java Java  theme={null}
  import com.google.gson.Gson;
  import com.google.gson.GsonBuilder;
  import com.mangopay.MangoPayApi;
  import com.mangopay.entities.Card;

  public class ViewCard {
      public static void main(String[] args) throws Exception {
          MangoPayApi mangopay = new MangoPayApi();
      	  mangopay.getConfig().setClientId("your-client-id");
     	  mangopay.getConfig().setClientPassword("your-api-key");

          String cardId = "card_m_01HXYAVH217SC0ARVDHSE0HQJ0";

          Card viewCard = mangopay.getCardApi().get(cardId);

          Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
          String prettyJson = prettyPrint.toJson(viewCard);

          System.out.println(prettyJson);
      }
  }
  ```

  ```python Python   theme={null}
  from pprint import pprint
  import mangopay

  mangopay.client_id='your-client-id'
  mangopay.apikey='your-api-key'

  from mangopay.api import APIRequest
  handler = APIRequest(sandbox=True)

  from mangopay.resources import NaturalUser, Card

  natural_user = NaturalUser.get('213600749')

  user_card_id = '213601128'
     
  try:
      view_user_card = Card.get(user_card_id)
      pprint(vars(view_user_card))
  except Card.DoesNotExist:
      print('The Card {} does not exist for User {}'.format(user_card_id, natural_user.id))  
  ```

  ```csharp .NET  theme={null}
  using MangoPay.SDK;
  using Newtonsoft.Json;

  class Program
  {
      static async Task Main(string[] args)
      {
          MangoPayApi api = new MangoPayApi();

          api.Config.ClientId = "your-client-id";
          api.Config.ClientPassword = "your-api-key";

          var cardId = "card_m_01J2Y4W2R4RWKVEME5WG180SQ3";

          var viewCard = await api.Cards.GetAsync(cardId);

          string prettyPrint = JsonConvert.SerializeObject(viewCard, Formatting.Indented);
          Console.WriteLine(prettyPrint);
      }
  }
  ```
</RequestExample>
